#include "quicksort_for_vector_wstring.h"
int partition(std::vector<std::wstring>& arr, int left, int right) {
    int i = left - 1;
    for (int j = left; j < right; ++j)
        if (arr[j] < arr[right]) {
            ++i;
            std::swap(arr[i], arr[j]);
        }
    std::swap(arr[i + 1], arr[right]);
    return i + 1;
}
void quicksort(std::vector<std::wstring>& arr, int left, int right) {
    if (left < right) {
        int pivotIndex = partition(arr, left, right);
        quicksort(arr, left, pivotIndex - 1);
        quicksort(arr, pivotIndex + 1, right);
    }
}
